openssl: Update crypter API to OpenSSL 1.1.0